Subject: Re: [PATCH] userfaultfd: register syscall numbers for x86 32bit and x86-64 64bit

From: "Dr. David Alan Gilbert" <[email-masked]>
Date: Fri, 31 Jul 2015 10:13:52 +0100

* Ingo Molnar ([email-masked]) wrote:
> 
> * Andrea Arcangeli <[email-masked]> wrote:
> 
> > This registers the official numbers of the userfaultfd syscall for x86
> > 32bit and x86-64 64bit. This registration allows to ship kernels in
> > production using these two syscall numbers for userfaultfd.
> > 
> > Acked-by: Pavel Emelyanov <[email-masked]>
> > Signed-off-by: Andrea Arcangeli <[email-masked]>
> > ---
> >  arch/x86/entry/syscalls/syscall_32.tbl | 1 +
> >  arch/x86/entry/syscalls/syscall_64.tbl | 1 +
> >  include/linux/syscalls.h               | 1 +
> >  kernel/sys_ni.c                        | 1 +
> >  4 files changed, 4 insertions(+)
> 
> Hm, is there consensus on the upstream desirability of this sytem call?

I hope so:
   a) It's generic enough that there's interest in using it in
      a range of projects - there's nothing QEMU specific in it.
   b) It's worked very well on the QEMU code that I wrote that uses it
      for postcopy, and has been solid doing that for many months now.
   c) I'm not aware of any suggestions for a different, generic solution
      to solve the same set of problems.
   d) It's got a good self test, that's survived heavy testing.
   e) I think Andrea has addressed all previous comments on it.

Dave

> Thanks,
> 	Ingo
--
Dr. David Alan Gilbert / [email-masked] / Manchester, UK